<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-milter-manager-module-impl">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-milter-manager-module-impl.top_of_page">milter-manager-module-impl</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>milter-manager-module-impl</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-milter-manager-module-impl.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis><link linkend="GList"><returnvalue>GList</returnvalue></link> *             (<link linkend="MilterManagerModuleInitFunc">*MilterManagerModuleInitFunc</link>)      (<link linkend="GTypeModule"><returnvalue>GTypeModule</returnvalue></link> *module);
<link linkend="void"><returnvalue>void</returnvalue></link>                (<link linkend="MilterManagerModuleExitFunc">*MilterManagerModuleExitFunc</link>)      (void);
<link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           (<link linkend="MilterManagerModuleInstantiateFunc">*MilterManagerModuleInstantiateFunc</link>)
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="MILTER-MANAGER-MODULE-IMPL-INIT:CAPS">MILTER_MANAGER_MODULE_IMPL_INIT</link>     (<link linkend="GTypeModule"><returnvalue>GTypeModule</returnvalue></link> *module);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="MILTER-MANAGER-MODULE-IMPL-EXIT:CAPS">MILTER_MANAGER_MODULE_IMPL_EXIT</link>     (void);
<link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           <link linkend="MILTER-MANAGER-MODULE-IMPL-INSTANTIATE:CAPS">MILTER_MANAGER_MODULE_IMPL_INSTANTIATE</link>
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-milter-manager-module-impl.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-milter-manager-module-impl.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MilterManagerModuleInitFunc" role="function">
<title>MilterManagerModuleInitFunc ()</title>
<indexterm zone="MilterManagerModuleInitFunc"><primary>MilterManagerModuleInitFunc</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             (*MilterManagerModuleInitFunc)      (<link linkend="GTypeModule"><returnvalue>GTypeModule</returnvalue></link> *module);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>module</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManagerModuleExitFunc" role="function">
<title>MilterManagerModuleExitFunc ()</title>
<indexterm zone="MilterManagerModuleExitFunc"><primary>MilterManagerModuleExitFunc</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                (*MilterManagerModuleExitFunc)      (void);</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterManagerModuleInstantiateFunc" role="function">
<title>MilterManagerModuleInstantiateFunc ()</title>
<indexterm zone="MilterManagerModuleInstantiateFunc"><primary>MilterManagerModuleInstantiateFunc</primary></indexterm>
<programlisting><link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           (*MilterManagerModuleInstantiateFunc)
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>first_property</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>var_args</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MILTER-MANAGER-MODULE-IMPL-INIT:CAPS" role="function">
<title>MILTER_MANAGER_MODULE_IMPL_INIT ()</title>
<indexterm zone="MILTER-MANAGER-MODULE-IMPL-INIT:CAPS"><primary>MILTER_MANAGER_MODULE_IMPL_INIT</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             MILTER_MANAGER_MODULE_IMPL_INIT     (<link linkend="GTypeModule"><returnvalue>GTypeModule</returnvalue></link> *module);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>module</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MILTER-MANAGER-MODULE-IMPL-EXIT:CAPS" role="function">
<title>MILTER_MANAGER_MODULE_IMPL_EXIT ()</title>
<indexterm zone="MILTER-MANAGER-MODULE-IMPL-EXIT:CAPS"><primary>MILTER_MANAGER_MODULE_IMPL_EXIT</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                MILTER_MANAGER_MODULE_IMPL_EXIT     (void);</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-MANAGER-MODULE-IMPL-INSTANTIATE:CAPS" role="function">
<title>MILTER_MANAGER_MODULE_IMPL_INSTANTIATE ()</title>
<indexterm zone="MILTER-MANAGER-MODULE-IMPL-INSTANTIATE:CAPS"><primary>MILTER_MANAGER_MODULE_IMPL_INSTANTIATE</primary></indexterm>
<programlisting><link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           MILTER_MANAGER_MODULE_IMPL_INSTANTIATE
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>first_property</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>var_args</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
